Description

It's seems that we can obtain appropriate tool-tip colors for GTK3 apps:

    Gtk_New("tooltip.background");

        SColorInfo_Write(GetBackgroundColor());

    Gtk_New("tooltip.color");

        SColorInfoText_Write(GetInkColor());

Instead of:

    Gtk_New("tooltip.background");

        SColorInfo_Write(GetBackgroundColor());

                SColorInfoText_Write(GetInkColor());

Now the font color is appropriate and looks similar to native system tooltips.

Patch attached for whole change scope...

History

#1 - 09/29/2020 11:36 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

On how many distros and themes have you tested?

I remember trying this, problem is that while often you seem to have it correct with one of them, it breaks completely with another.

#2 - 09/30/2020 06:59 PM - Zbigniew Rebacz

I remembered these kind of problems for the GTK2, but when I use the fix it works fine for all KDE GTK themes. Probably worth checking on other themes

as well..

#3 - 10/21/2020 11:33 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 to Release 2021.1

#4 - 12/18/2020 04:54 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

05/17/2025 1/2



Files

GTK3TooltipNativeColors.diff 610 Bytes 09/24/2020 Zbigniew Rebacz

05/17/2025 2/2


